


if (!window.console) { window.console = function(){}; }

document.addEventListener("resume", mf_resume_event, false);
document.addEventListener("pause", mf_pause_event, false);
document.addEventListener("offline", mf_offline_event, false);
document.addEventListener("online", mf_online_event, false);
document.addEventListener("deviceready", mf_init, false);
	
function mf_resume_event() {
    if (mf_sync_timer == null) {
	mf_sync_timer = setTimeout(mf_sync, mf_sync_period_first);
    }
}

function mf_pause_event() { 
    if (mf_sync_timer != null) {
	clearTimeout(mf_sync_timer);
    }
    mf_sync_timer = null;
}

function mf_offline_event() {
    mf_change_online_status(false);
}

function mf_online_event() {
    mf_change_online_status(true);
}

	function mf_init() {
	    
	    var app_lang = window.navigator.userLanguage || window.navigator.language;
	    if (app_lang == null) {
	        app_lang = 'en';
	    }
	        if (app_lang.lastIndexOf('fr', 0) === 0) {
		    $('#id_english').hide();
		    $('#id_french').show();
		} else if (app_lang.lastIndexOf('es', 0) === 0) {
		    $('#id_english').hide();
		    $('#id_spanish').show();
		} else if (app_lang.lastIndexOf('de', 0) === 0) {
		    $('#id_english').hide();
		    $('#id_german').show();
		} else if (app_lang.lastIndexOf('it', 0) === 0) {
		    $('#id_english').hide();
		    $('#id_italian').show();
		} else {
		    app_lang = 'en';
		}
		
		var analytics_id = null;
		var has_back_button = false;
		
		if (device.platform == 'iOS') {
		    analytics_id = 'UA-42757339-4';
		    mf_polling_supported = false;
		} else if (device.platform == 'WinCE' || device.platform == 'Win32NT') {
		    analytics_id = 'UA-42757339-5';
		    has_back_button = true;
		} else {
		    // Default as Android and derivitives like FireOS, etc.
		    analytics_id = 'UA-42757339-3';
		    has_back_button = true;
		}
		 
		if (has_back_button) {
			document.addEventListener("backbutton", mf_back_button, false);
		}
		
		ga('create', analytics_id, 'teamingly.com',
			{
				'storage': 'none',
				'clientId':device.uuid
			}
		);
 
		if (navigator.network.connection.type == Connection.NONE) {
		    mf_change_online_status(false);
		    mf_go_offline();
		} else {
		    mf_change_online_status(true);
		    mf_go_online();
		}
	}
	
	
	function mf_back_button(e) {
	    if ($mf_current_offline_page == null) {
		if ($.mobile.activePage.is('#id-app-page')) {
		    e.preventDefault();
		    navigator.app.exitApp();
		} else if ($.mobile.activePage.is('#id-home-page')) {
		    if (location.hash != '') {
			$('.ui-popup').popup('close');
		    } else if (mf_home_tab == null) {
			e.preventDefault();
			navigator.app.exitApp();
		    } else {
			$('#id-home-schedule-tab, #id-home-members-tab, #id-home-messages-tab, #id-home-photos-tab, #id-home-reports-tab').collapsible('collapse');
			mf_home_tab = null;
		    }
		} else {
		    navigator.app.backHistory();
		}
	    } else {
		if (mf_offline_pages_stack.length == 0) {
		    $mf_current_offline_page = null;
		    $.mobile.changePage($('#id-app-page'),{changeHash:false});
		} else {
		    $mf_current_offline_page = mf_offline_pages_stack.pop()
		    $.mobile.changePage($mf_current_offline_page,{changeHash:false});
		}
	    }
	}
	
	
	function mf_change_online_status(is_online) {
		if (mf_is_online != is_online) {
			mf_is_online = is_online;

	       		if (mf_is_online) {
	       			$('.mf-network-unavail-indicator').hide();
	       			$('.mf-network-avail-indicator').show();
	       		} else {
	       			$('.mf-network-unavail-indicator').show();
	       			$('.mf-network-avail-indicator').hide();
	       		}
		}
	}
	
	
	function mf_go_online() {
	    $mf_current_offline_page = null;
	    mf_change_online_status(true);
	    $.mobile.changePage('https://app.teamingly.com'); 
	    setTimeout(function() { 
		navigator.splashscreen.hide();
	    }, 10*1000);
	}

	$(document).on('pagechangefailed, pageloadfailed', function(e,data) {
	    
	    if (navigator.network.connection.type == Connection.NONE) {
		//if (device.platform == 'iOS') {
		//    window.history.go(-(window.history.length - 1));
		//} else {
		    $.mobile.changePage($('#id-app-page'),{changeHash:false});
		//}
	    }

	});
	
	$(document).on('pageshow', '#id-app-page', function() {
	   $mf_current_offline_page = null;
	});
	
	//$(document).on('pageshow', function() {
	//   alert('history length = ' + window.history.length);
	//   alert('location.href = ' + location.href);
	//});
	

	
	